List a credential for sale on the marketplace
curl --request POST \
--url https://mag3nt.com/api/cards/{id}/list \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"price": 500,
"currency": "USDC"
}
'import requests
url = "https://mag3nt.com/api/cards/{id}/list"
payload = {
"price": 500,
"currency": "USDC"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({price: 500, currency: 'USDC'})
};
fetch('https://mag3nt.com/api/cards/{id}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"listing": {
"id": "lst_mag3nt_abc123_1719500000000_42",
"card_id": "<string>",
"seller": "<string>",
"price": 123,
"created_at": "2023-11-07T05:31:56Z",
"buyer": "<string>",
"settled_tx": "<string>",
"settled_at": "2023-11-07T05:31:56Z",
"sellable": true,
"stats": {
"rxCount": 123,
"rxLifetime": 123,
"rx30d": 123,
"rx30dCount": 123,
"lastActive": "2023-11-07T05:31:56Z",
"firstActive": "2023-11-07T05:31:56Z",
"protocols": 123,
"balance": 123,
"ageDays": 123,
"hasCrt": true,
"crtStatus": "<string>",
"crtAddress": "<string>",
"crtSymbol": "<string>",
"holderAddress": "<string>",
"chainStatus": "<string>",
"identityToken": "<string>",
"identityStatus": "<string>"
}
}
}{
"error": "Card not found"
}{
"error": "Card not found"
}{
"error": "Card not found"
}Marketplace
List a credential for sale on the marketplace
Lists an owned, unencumbered credential for sale. Selling transfers the whole economic account (paylinks, history, delegation) to the buyer atomically against payment. Only USDC settlement is live today.
POST
/
api
/
cards
/
{id}
/
list
List a credential for sale on the marketplace
Authorizations
API key prefixed with 'Bearer sx_live_...'
Path Parameters
Body
application/json
⌘I